Ir para o conteúdo
Documentação do Endless

List projects

GET
/projects

Lists the projects the caller can read.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Query Parameters

organization_id*string
Match^org_
slug?string
Match^[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$
Length1 <= length <= 80
search?string
deleted?boolean
archived?boolean
limit?integer
Range1 <= value <= 100
cursor?string

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects?organization_id=string"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organization_id": "string",      "created_by_id": "string",      "slug": "string",      "title": "string",      "emoji": "string",      "description": "string",      "visibility": "private",      "workspace_role": "viewer",      "knowledge_skill_id": "3d128fff-f913-409f-9d63-3fb0a9e8e703",      "mod_source_id": "string",      "metadata": "string",      "deleted_at": "2019-08-24T14:15:22Z",      "deleted_by_id": "string",      "archived_at": "2019-08-24T14:15:22Z",      "archived_by_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "can_edit": true,      "can_delete": true,      "can_archive": true,      "can_leave": true,      "shared": true,      "people_count": 0,      "asset_count": 0,      "chat_count": 0,      "canvas_count": 0,      "skill_count": 0,      "people_previews": [        {          "user_id": "string",          "image_url": "string"        }      ],      "created_by": {        "id": "string",        "first_name": "string",        "last_name": "string",        "email": "string",        "image_url": "string"      }    }  ],  "next_cursor": "string"}